import { getTranslations } from "next-intl/server";

import { AnimatedInfoScreen, LottieAnimation } from "@/components/widgets";
import { ROUTES } from "@/shared/constants/client-routes";
import { ELottieKeys } from "@/shared/constants/lottie";

export default async function PaymentFailed() {
  const t = await getTranslations("Payment.Error");

  return (
    <AnimatedInfoScreen
      lottieAnimation={
        <LottieAnimation loadKey={ELottieKeys.loaderCheckMark} />
      }
      title={t("title")}
      animationTime={0}
      animationTexts={[]}
      buttonText={t("button")}
      nextRoute={ROUTES.home()}
    />
  );
}
